package com.tianyi.sync.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class FixedAssetsModel implements Serializable {

    private String addWayId;            // T0.add_way_id
    private String tId;                 // T0.id
    private String creator;             // T0.creater
    private String createTime;         // T0.create_time
    private String addWayIdName;        // T57.name
    private String deprMethodId;        // T5.depr_method_id
    private String deprMethodIdName;    // T21.name
    private String accentityId;         // T0.accentity_id
    private String code;                // T0.code
    private String name;                // T0.name
    private String beginTime;           // T0.begin_date
    private String lifeYear;            // T5.life_year
    private String lifeMonth;           // T5.life_month
    private BigDecimal bodiesOriValue;  // T5.acc_currtype_ori_amount
    private String usageStateId;        // T49.id
    private String usageStateIdName;    // T49.name
    private String auditTime;           // a.audit_time
    private String propertyPurpose;      //T14.name

    public String getAddWayId() {
        return addWayId;
    }

    public void setAddWayId(String addWayId) {
        this.addWayId = addWayId;
    }


    public String gettId() {
        return tId;
    }

    public void settId(String tId) {
        this.tId = tId;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getAddWayIdName() {
        return addWayIdName;
    }

    public void setAddWayIdName(String addWayIdName) {
        this.addWayIdName = addWayIdName;
    }

    public String getDeprMethodId() {
        return deprMethodId;
    }

    public void setDeprMethodId(String deprMethodId) {
        this.deprMethodId = deprMethodId;
    }

    public String getDeprMethodIdName() {
        return deprMethodIdName;
    }

    public void setDeprMethodIdName(String deprMethodIdName) {
        this.deprMethodIdName = deprMethodIdName;
    }

    public String getAccentityId() {
        return accentityId;
    }

    public void setAccentityId(String accentityId) {
        this.accentityId = accentityId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getLifeYear() {
        return lifeYear;
    }

    public void setLifeYear(String lifeYear) {
        this.lifeYear = lifeYear;
    }

    public String getLifeMonth() {
        return lifeMonth;
    }

    public void setLifeMonth(String lifeMonth) {
        this.lifeMonth = lifeMonth;
    }

    public BigDecimal getBodiesOriValue() {
        return bodiesOriValue;
    }

    public void setBodiesOriValue(BigDecimal bodiesOriValue) {
        this.bodiesOriValue = bodiesOriValue;
    }

    public String getUsageStateId() {
        return usageStateId;
    }

    public void setUsageStateId(String usageStateId) {
        this.usageStateId = usageStateId;
    }

    public String getUsageStateIdName() {
        return usageStateIdName;
    }

    public void setUsageStateIdName(String usageStateIdName) {
        this.usageStateIdName = usageStateIdName;
    }

    public String getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }

    public String getPropertyPurpose() {
        return propertyPurpose;
    }

    public void setPropertyPurpose(String propertyPurpose) {
        this.propertyPurpose = propertyPurpose;
    }
}
